Bug 175278 - Review Request: gift-gnutella: Gnutella plugin for giFT
Review Request: gift-gnutella: Gnutella plugin for giFT
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On: 175276
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 09:52 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 22:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gauret: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Aurelien Bompard 2005-12-17 12:26:49 EST
Just one small problem:
"Requires: gift" is redundant, the package already depends on libgift.so.0 (you
should remove it in case you split the library out of the main package one day)
Comment 2 Rex Dieter 2005-12-19 07:47:22 EST
* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net. 0.11.8.1-2
- drop redundant Requires: gift

Spec Name or
Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/gift-gnutella-0.0.10-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gift-gnutella-0.0.10-2.src.rpm
Comment 3 Aurelien Bompard 2005-12-20 06:00:38 EST
At the end of %configure :
use libxml..............: no

libxml can be enabled with:
+BuildRequires: libxml2-devel
-%configure
+%configure --with-libxml
Comment 4 Rex Dieter 2005-12-20 07:44:01 EST
%changelog
* Tue Dec 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-3
- --with-libxml, BR: libxml2-devel

Spec Name or
Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/gift-gnutella-0.0.10-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gift-gnutella-0.0.10-3.src.rpm

Comment 5 Aurelien Bompard 2005-12-20 11:51:41 EST
Packaging looks OK, but the Gnutella plugin can't connect here. It stays in
status "Connecting..." in Apollon.
The file data/gwebcaches in the tarball is probably missing. It could be useful
to add data/hostiles.txt too.
I've looked at some of the urls in data/gwebcaches, and it's only statistics,
nothing illegal.
Comment 6 Dmitry Butskoy 2005-12-20 11:59:13 EST
> The file data/gwebcaches in the tarball is probably missing. It could be useful
> to add data/hostiles.txt too.
Take this from gtk-gnutella (already in Extras).

> I've looked at some of the urls in data/gwebcaches, and it's only statistics,
> nothing illegal.
Sure! Upstream say the same.

IMHO it is unusable to ship package without gwebcaches etc., therefore such data
should be present in the package (and properly tested :))

Comment 7 Rex Dieter 2005-12-20 12:02:32 EST
I'll look into it.

These seem like a upstream bugs to me, 'make install' should install all the
bits needed for proper function.
Comment 8 Rex Dieter 2005-12-20 12:56:03 EST
Just checked and gwebcaches, hostiles.txt already do get installed to
/usr/share/giFT/Gnutella/

Is there something more that should/needs-to be done (packaging-wise)?
Comment 9 Rex Dieter 2006-10-31 08:51:29 EST
Spec Name or
Url:http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/gift-gnutella.spec
SRPM Name or Url:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/gift-gnutella-0.0.11-1.src.rpm

%changelog
* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.0.11-1
- 0.0.11
Comment 10 Aurelien Bompard 2007-03-10 04:45:29 EST
Review for release 1.fc6:
* RPM name is OK
* Source gift-gnutella-0.0.11.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine
(30 checks have been run)

APPROVED
Comment 11 Rex Dieter 2007-03-12 13:22:16 EDT
New Package CVS Request
=======================
Package Name: gift-gnutella
Short Description: Gnutella plugin for giFT
Owners: rdieter@math.unl.edu
Branches: FC-5 FC-6 devel 
InitialCC: 
Comment 12 Rex Dieter 2007-03-12 22:37:59 EDT
imported, builds queued, thanks.

Note You need to log in before you can comment on or make changes to this bug.